/one-entities-delete-one¶
Summary¶
Source repository:
jef-systems/jef-one-backendSource SHA:
3270463a2e6a5d905ceae779f9a588fdde3cef87Source run id:
25887986290Lambda function:
jef-one-entities-delete-oneHTTP method:
DELETEAPI path:
/one-entities-delete-oneEndpoint URL:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-delete-onePayload mode:
json-body
Description¶
Function: jef-one-entities-delete-oneModule: jef-oneAction: delete-oneMethod: DELETEInvocation Mode: ASYNCResource Path: /one-entities-delete-oneTable: jef-one-entitiesPrimary Key: entity_id
API Gateway Response¶
status\_code: 202message: Request accepted for asynchronous processing.
Payload Example¶
entity\_id: d49b8a8c-30d9-4172-bb72-71855d5804c2
Payload Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.entity_id.type",
"value": "S"
},
{
"key": "root.attributes.entity_id.required",
"value": "True"
},
{
"key": "root.attributes.entity_id.format",
"value": "uuidv4"
},
{
"key": "root.attributes.entity_id.regex",
"value": "^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$"
}
]
Response Schema¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
Request Payload¶
[
{
"key": "entity_id",
"value": "d49b8a8c-30d9-4172-bb72-71855d5804c2"
}
]
Response¶
[
{
"key": "root.type",
"value": "M"
},
{
"key": "root.required",
"value": "True"
},
{
"key": "root.attributes.is_accepted.type",
"value": "BOOL"
},
{
"key": "root.attributes.is_accepted.required",
"value": "True"
},
{
"key": "root.attributes.message.type",
"value": "S"
},
{
"key": "root.attributes.message.required",
"value": "True"
},
{
"key": "root.attributes.request_id.type",
"value": "S"
},
{
"key": "root.attributes.request_id.required",
"value": "False"
}
]
CMD curl¶
curl -X DELETE "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-delete-one" -H "Content-Type: application/json" --data-raw "{\"entity_id\": \"d49b8a8c-30d9-4172-bb72-71855d5804c2\"}"
PowerShell curl¶
curl.exe -X DELETE "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-entities-delete-one" -H "Content-Type: application/json" --data-raw '{"entity_id": "d49b8a8c-30d9-4172-bb72-71855d5804c2"}'